'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var Tether = _interopDefault(require('tether'));

var alert = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return (_vm.localShow)?_c('div',{class:_vm.classObject,attrs:{"role":"alert"}},[(_vm.dismissible)?_c('button',{staticClass:"close",attrs:{"type":"button","data-dismiss":"alert","aria-label":"Close"},on:{"click":function($event){$event.stopPropagation();$event.preventDefault();_vm.dismiss($event);}}},[_c('span',{attrs:{"aria-hidden":"true"}},[_vm._v("×")])]):_vm._e(),_vm._t("default")],2):_vm._e()},staticRenderFns: [],
    data: function data() {
        return {
            countDownTimerId: null,
            dismissed: false
        };
    },
    created: function created() {
        if (this.state) {
            console.warn('<b-alrt> state property is deprecated, please use variant instead.');
        }
    },
    computed: {
        classObject: function classObject() {
            return ['alert', this.alertVariant, this.dismissible ? 'alert-dismissible' : ''];
        },
        alertVariant: function alertVariant() {
            var variant = this.state || this.variant || 'info';
            return ("alert-" + variant);
        },
        localShow: function localShow() {
            return !this.dismissed && (this.countDownTimerId || this.show);
        }
    },
    props: {
        variant: {
            type: String,
            default: 'info'
        },
        state: {
            type: String,
            default: null
        },
        dismissible: {
            type: Boolean,
            default: false
        },
        show: {
            type: [Boolean, Number],
            default: false
        }
    },
    watch: {
        show: function show() {
            this.showChanged();
        }
    },
    mounted: function mounted() {
        this.showChanged();
    },
    methods: {
        dismiss: function dismiss() {
            this.dismissed = true;
            this.$emit('dismissed');
            this.clearCounter();
        },
        clearCounter: function clearCounter() {
            if (this.countDownTimerId) {
                clearInterval(this.countDownTimerId);
            }
        },
        showChanged: function showChanged() {
            var this$1 = this;

            // Reset dismiss status
            this.dismissed = false;

            // No timer for boolean values
            if (this.show === true || this.show === false || this.show === null || this.show === 0) {
                return;
            }

            var dismissCountDown = this.show;
            this.$emit('dismiss-count-down', dismissCountDown);

            // Start counter
            this.clearCounter();
            this.countDownTimerId = setInterval(function () {
                if (dismissCountDown < 2) {
                    return this$1.dismiss();
                }
                dismissCountDown--;
                this$1.$emit('dismiss-count-down', dismissCountDown);
            }, 1000);
        }
    }
};

var breadcrumb = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('ol',{staticClass:"breadcrumb"},_vm._l((_vm.items),function(item){return _c('li',{class:['breadcrumb-item', item.active ? 'active' : null]},[(!item.active)?_c('a',{attrs:{"href":"#"},domProps:{"innerHTML":_vm._s(item.text)},on:{"click":function($event){$event.stopPropagation();$event.preventDefault();_vm.onclick(item);}}},[(item.active)?_c('span',{domProps:{"innerHTML":_vm._s(item.text)}}):_vm._e()]):_vm._e()])}))},staticRenderFns: [],
    computed: {},
    props: {
        items: {
            type: Array,
            default: function () { return []; },
            required: true
        }
    },
    methods: {
        onclick: function onclick(item) {
            this.$emit('click', item);
        }
    }
};

var buttonCheckbox = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"btn-group",attrs:{"data-toggle":"buttons"}},_vm._l((_vm.list),function(item,index){return _c('label',{class:['btn', _vm.btnVariant, _vm.btnSize, _vm.checked(index) ? 'active' : '']},[_c('input',{directives:[{name:"model",rawName:"v-model",value:(item.checked),expression:"item.checked"}],attrs:{"type":"checkbox","autocomplete":"off","disabled":item.disabled},domProps:{"value":item.value,"checked":Array.isArray(item.checked)?_vm._i(item.checked,item.value)>-1:(item.checked),"innerHTML":_vm._s(item.text)},on:{"__c":function($event){var $$a=item.checked,$$el=$event.target,$$c=$$el.checked?(true):(false);if(Array.isArray($$a)){var $$v=item.value,$$i=_vm._i($$a,$$v);if($$c){$$i<0&&(item.checked=$$a.concat($$v));}else{$$i>-1&&(item.checked=$$a.slice(0,$$i).concat($$a.slice($$i+1)));}}else{item.checked=$$c;}}}})])}))},staticRenderFns: [],
        replace: true,
        computed: {
            btnVariant: function btnVariant() {
                return !this.variant || this.variant === "default" ? "btn-secondary" : ("btn-" + (this.variant));
            },
            btnSize: function btnSize() {
                return !this.size || this.size === "default" ? "" : ("btn-" + (this.size));
            }
        },
        props: {
            list: {
                type: Array,
                default: [],
                required: true
            },
            model: {
                type: Array,
                default: []
            },
            size: {
                type: String,
                default: 'md'
            },
            variant: {
                type: String,
                default: 'default'
            },
            returnObject: {
                type: Boolean,
                default: false
            }
        },
        methods: {
            checked: function checked(index) {
                var this$1 = this;

                if (!this.list) {
                    return false;
                }
                var result = false;
                if (this.returnObject) {
                    for (var i = 0; i < this.model.length; i++) {
                        if (this$1.model[i].value === this$1.list[index].value) {
                            result = true;
                        }
                    }
                } else {
                    result = this.model.indexOf(this.list[index].value) !== -1;
                }
                return result;
            }
        },
        watch: {
            list: {
//                handler(val) {
//                    this.model = []
//                    this.list.forEach((item) = > {
//                        if (item.checked
//                )
//                    {
//                        if (this.returnObject) {
//                            this.model.push(item)
//                        } else {
//                            this.model.push(item.value)
//                        }
//                    }
//                })
//                    ;
//                    console.log(changed);
//                    // Emit an event
//                    this.$emit('changed', this.model)
//                },
//                deep: true,
            }
        },
        mounted: function mounted() {
            var this$1 = this;

            // handle initial selection
            this.list.forEach(function (item) {
                if (this$1.returnObject) {
                    this$1.model.forEach(function (modelItem) {
                        if (modelItem.value === item.value
                        ) {
                            item.checked = true;
                        }
                    });
                } else if (this$1.model.indexOf(item.value) !== -1) {
                    item.checked = true;
                }
            });
        }
    };

var buttonGroup = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{class:_vm.classObject,attrs:{"role":"group"}},[_vm._t("default")],2)},staticRenderFns: [],
    computed: {
        classObject: function classObject() {
            return [
                'btn-' + (this.toolbar ? 'toolbar' : 'group'),
                this.vertical ? 'btn-group-vertical' : '',
                this.size ? ('btn-group-' + this.size) : ''
            ];
        }
    },
    props: {
        vertical: {
            type: Boolean,
            default: false
        },
        toolbar: {
            type: Boolean,
            default: false
        },
        size: {
            type: String,
            default: null
        }
    }
};

var buttonRadio = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"btn-group",attrs:{"data-toggle":"buttons"}},_vm._l((_vm.list),function(item){return _c('label',{class:['btn', _vm.btnVariant, _vm.btnSize, {disabled:item.disabled, active:_vm.selection == item.value}]},[_c('input',{directives:[{name:"model",rawName:"v-model",value:(_vm.selection),expression:"selection"}],attrs:{"type":"radio","name":"options","autocomplete":"off","disabled":item.disabled},domProps:{"value":item.value,"checked":_vm._q(_vm.selection,item.value),"innerHTML":_vm._s(item.text)},on:{"__c":function($event){_vm.selection=item.value;}}})])}))},staticRenderFns: [],
    data: function data() {
        return {
            selection: '',
            model: {}
        };
    },
    computed: {
        btnVariant: function btnVariant() {
            return !this.variant || this.variant === "default" ? "btn-secondary" : ("btn-" + (this.variant));
        },
        btnSize: function btnSize() {
            return !this.size || this.size === "default" ? "" : ("btn-" + (this.size));
        }
    },
    props: {
        list: {
            type: Array,
            default: [],
            required: true
        },
        size: {
            type: String,
            default: 'md'
        },
        variant: {
            type: String,
            default: 'default'
        },
        returnObject: {
            type: Boolean,
            default: false
        }
    },
    watch: {
        selection: {
            handler: function handler() {
                var this$1 = this;

                // set the model based on selection
                if (this.returnObject) {
                    this.list.forEach(function (item) {
                        if (item.value === this$1.selection) {
                            this$1.model = item;
                        }
                    });
                } else {
                    this.model = this.selection;
                }
                // Emit an event
                this.$root.$emit('changed::button-radio', this.model);
            },
            deep: true
        }
    },
    mounted: function mounted() {
        // handle initial selection
        this.selection = this.model.value;
    }
};

var bButton = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c(_vm.componentType,{tag:"button",class:_vm.classObject,attrs:{"href":_vm.href || _vm.to,"to":_vm.to || _vm.href,"exact":_vm.exact,"target":_vm.target},on:{"click":function($event){$event.stopPropagation();_vm.onclick($event);}}},[_vm._t("default")],2)},staticRenderFns: [],
    computed: {
        classObject: function classObject() {
            return [
                'btn',
                this.btnVariant,
                this.btnSize,
                this.btnBlock,
                this.btnDisabled,
                this.inactive ? 'btn-inactive' : ''
            ];
        },
        componentType: function componentType() {
            return this.href ? (this.$route ? 'router-link' : 'a') : 'button';
        },
        btnBlock: function btnBlock() {
            return this.block ? "btn-block" : '';
        },
        btnVariant: function btnVariant() {
            return this.variant ? ("btn-" + (this.variant)) : "btn-secondary";
        },
        btnSize: function btnSize() {
            return this.size ? ("btn-" + (this.size)) : '';
        },
        btnDisabled: function btnDisabled() {
            return this.disabled ? 'disabled' : '';
        }
    },
    props: {
        block: {
            type: Boolean,
            default: false
        },
        disabled: {
            type: Boolean,
            default: false
        },
        inactive: {
            type: Boolean,
            default: false
        },
        role: {
            type: String,
            default: ''
        },
        size: {
            type: String,
            default: 'md'
        },
        variant: {
            type: String,
            default: null
        },
        to: {
            type: [String, Object]
        },
        href: {
            type: String
        },
        exact: {
            type: Boolean,
            default: false
        },
        target: {
            type: String
        }
    },
    methods: {
        onclick: function onclick() {
            this.$emit('click', this.to);
            if (this.$router && this.to) {
                this.$router.push(this.to);
            }
        }
    }
};

var card = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{class:['card',_vm.cardVariant,_vm.cardAlign,_vm.cardInverse]},[_vm._t("default")],2)},staticRenderFns: [],
    replace: true,
    computed: {
        cardVariant: function cardVariant() {
            return !this.variant || this.variant === "default" ? "card-default" : ("card-" + (this.variant));
        },
        cardInverse: function cardInverse() {
            return (this.type === "image-overlay" || this.type === "inverse") ? "card-inverse" : "";
        },
        cardAlign: function cardAlign() {
            return ("text-" + (this.align));
        }
    },
    props: {
        align: {
            type: String,
            default: 'left'
        },
        type: {
            type: String,
            default: 'default'
        },
        variant: {
            type: String,
            default: 'default'
        }
    },
    watch: {
        'type': function type(val) {
            // get first card-block or div and apply a card-image-overlay class if image-overlay slected
            var div = this.$el.getElementsByClassName('card-block')[0] || this.$el.getElementsByTagName('div')[0];
            if (val === 'image-overlay') {
                div.classList.add('card-img-overlay');
            } else {
                div.classList.remove('card-img-overlay');
            }
        }
    }
};

/* eslint-disable no-var, no-undef, guard-for-in, object-shorthand */

// const inBrowser = typeof window !== 'undefined';

// pulled from http://stackoverflow.com/questions/1349404/generate-a-string-of-5-random-characters-in-javascript
function uniqueId() {
    var text = '';
    var possible = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';

    for (var i = 0; i < 5; i++) {
        text += possible.charAt(Math.floor(Math.random() * possible.length));
    }
    return text;
}

// check if browser support css3 transitions
function csstransitions() {
    if (typeof (document) === 'undefined') {
        return false;
    }
    var style = document.documentElement.style;
    return (
        style.webkitTransition !== undefined ||
        style.MozTransition !== undefined ||
        style.OTransition !== undefined ||
        style.MsTransition !== undefined ||
        style.transition !== undefined
    );
}

// for browsers that do not support transitions like IE9 just change immediately

/**
 * Carousel Notes
 * - Ie9 does not support transitions and might require javascript fallbacks. B4 deliberately dropped support for this.
 * - It is not accessible.
 *
 * How it works:
 * - active element applies the transition to the slide but not triggers it
 * - we need to use 'right' and 'left' classes to trigger animation
 * - 'next' and 'prev' class makes the incoming slide positioned absolute, so it can follow outgoing slide
 *
 * To slide right to left we have to:
 * - add class 'active', 'next', and right to the next slide
 * - add class 'left' on the current slide same time as remove the 'right' class on the incoming one
 * - remove all classes and only leave 'active' on the incoming slide
 *
 */

// this is directly linked to the bootstrap animation timing in _carousel.scss
// for browsers that do not support transitions like IE9 just change slide immediately
var TRANSITION_DURATION$$1 = csstransitions() ? 600 : 0;

// when next is set, we want to move from right to left
// when previous is set, we want to move from left to right
var DIRECTION = {
    rtl: {
        outgoing: 'left',
        incoming: 'right',
        overlay: 'next'
    },
    ltr: {
        outgoing: 'right',
        incoming: 'left',
        overlay: 'prev'
    }
};

var carousel = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"carousel slide",attrs:{"data-ride":"carousel"},on:{"mouseenter":function($event){_vm.pause();},"mouseleave":function($event){_vm.start();}}},[_c('ol',{directives:[{name:"show",rawName:"v-show",value:(_vm.indicators),expression:"indicators"}],staticClass:"carousel-indicators"},_vm._l((_vm.slides),function(item,indicatorIndex){return _c('li',{class:{active:indicatorIndex === _vm.index},on:{"click":function($event){_vm.changeSlide(indicatorIndex);}}})})),_c('div',{staticClass:"carousel-inner",attrs:{"role":"listbox"}},[_vm._t("default")],2),_c('a',{directives:[{name:"show",rawName:"v-show",value:(_vm.controls),expression:"controls"}],staticClass:"left carousel-control",attrs:{"href":"#","role":"button"},on:{"click":function($event){$event.stopPropagation();$event.preventDefault();_vm.prev($event);}}},[_c('span',{staticClass:"icon-prev",attrs:{"aria-hidden":"true"}}),_vm._v(" "),_c('span',{staticClass:"sr-only"},[_vm._v("Previous")])]),_c('a',{directives:[{name:"show",rawName:"v-show",value:(_vm.controls),expression:"controls"}],staticClass:"right carousel-control",attrs:{"href":"#","role":"button"},on:{"click":function($event){$event.stopPropagation();$event.preventDefault();_vm.next($event);}}},[_c('span',{staticClass:"icon-next",attrs:{"aria-hidden":"true"}}),_vm._v(" "),_c('span',{staticClass:"sr-only"},[_vm._v("Next")])])])},staticRenderFns: [],
    replace: true,
    computed: {},
    data: function data() {
        return {
            index: 0,
            slidesCount: 0,
            animating: false,
            slides: [],
            direction: DIRECTION.rtl
        };
    },
    props: {
        interval: {
            type: Number,
            default: 5000
        },
        indicators: {
            type: Boolean,
            default: true
        },
        controls: {
            type: Boolean,
            default: true
        }
    },
    methods: {
    // previous slide
        prev: function prev() {
            if (this.animating) {
                return;
            }
            this.index--;
            if (this.index < 0) {
                this.index = this.slidesCount;
            }
        },
    // next slide
        next: function next() {
            if (this.animating) {
                return;
            }
            this.index++;
            if (this.index > this.slidesCount) {
                this.index = 0;
            }
        },
    // on slide change
        changeSlide: function changeSlide(index) {
            this.index = index;
        },
    // pause auto rotation
        pause: function pause() {
            if (this.interval === 0 || typeof this.interval === 'undefined') {
                return;
            }
            clearInterval(this._intervalId);
        },
    // start auto rotate slides
        start: function start() {
            var this$1 = this;

            if (this.interval === 0 || typeof this.interval === 'undefined') {
                return;
            }
            this._intervalId = setInterval(function () {
                this$1.next();
            }, this.interval);
        }
    },
    mounted: function mounted() {
    // get all slides
        this._items = this.$el.querySelectorAll('.carousel-item');
        this.slidesCount = this._items.length - 1;
        this.slides = Array.apply(null, {length: this._items.length}).map(Number.call, Number);

    // set first slide as active
        this._items[0].classList.add('active');

    // auto rotate slides
        this.start();
    },
    watch: {
        index: function index(val, oldVal) {
            var this$1 = this;

            this.animating = true;
            this.direction = DIRECTION.rtl;

      // when previous is pressed we want to move from left to right
            if (val < oldVal) {
                this.direction = DIRECTION.ltr;
            }

      // lets animate
      // prepare next slide to animate (position it on the opposite side of the direction as a starting point)
            this._items[val].classList.add(this.direction.incoming, this.direction.overlay);
      // reflow
            // this._items[val].offsetWidth;
      // add class active
            this._items[val].classList.add('active');
      // trigger animation on outgoing and incoming slide
            this._items[oldVal].classList.add(this.direction.outgoing);
            this._items[val].classList.remove(this.direction.incoming);
      // wait for animation to finish and cleanup classes
            this._carouselAnimation = setTimeout(function () {
                this$1._items[oldVal].classList.remove(this$1.direction.outgoing, 'active');
                this$1._items[val].classList.remove(this$1.direction.overlay);
                this$1.animating = false;
          // trigger an event
                this$1.$root.$emit('slid::carousel', val);
            }, TRANSITION_DURATION$$1);
        }
    },
    destroyed: function destroyed() {
        clearTimeout(this._carouselAnimation);
        clearInterval(this._intervalId);
    }
};

var carouselSlide = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"carousel-item"},[_vm._t("default")],2)},staticRenderFns: [],
    replace: true
};

var collapse = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('transition',{attrs:{"name":"collapse"}},[_c('div',{directives:[{name:"show",rawName:"v-show",value:(_vm.show),expression:"show"}],class:_vm.classObject},[_vm._t("default")],2)])},staticRenderFns: [],

    data: function data() {
        return {
            show: false
        };
    },

    computed: {
        classObject: function classObject() {
            return {
                'navbar-collapse': this.isNav,
                show: this.show
            };
        }
    },

    props: {
        isNav: {
            type: Boolean,
            default: false
        },
        id: {
            type: String,
            required: true
        }
    },

    methods: {
        toggle: function toggle() {
            this.show = !this.show;
        }
    },

    created: function created() {
        var this$1 = this;

        this.$root.$on('collapse::toggle', function (target) {
            if (target !== this$1.id) {
                return;
            }
            this$1.toggle();
        });
    }
};

var dropdown = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{class:['btn-group',_vm.show?'show':'',_vm.dropup?'dropup':'']},[_c('b-button',{class:[_vm.split?'':'dropdown-toggle'],attrs:{"id":"dropdownMenuButton","aria-haspopup":"true","aria-expanded":_vm.show,"variant":_vm.variant,"size":_vm.size,"disabled":_vm.disabled},on:{"click":_vm.click}},[_vm._t("text",[_vm._v(_vm._s(_vm.text))])],2),(_vm.split)?_c('b-button',{staticClass:"dropdown-toggle dropdown-toggle-split",attrs:{"variant":_vm.variant,"size":_vm.size,"disabled":_vm.disabled},on:{"click":_vm.toggle}},[_c('span',{staticClass:"sr-only"},[_vm._v("Toggle Dropdown")])]):_vm._e(),(_vm.show)?_c('div',{class:['dropdown-menu',_vm.right?'dropdown-menu-right':'']},[_vm._t("default")],2):_vm._e()],1)},staticRenderFns: [],
    components: {
        bButton: bButton
    },
    data: function data() {
        return {
            show: false
        };
    },
    props: {
        split: {
            type: Boolean,
            default: false
        },
        text: {
            type: String,
            default: ''
        },
        size: {
            type: String,
            default: null
        },
        variant: {
            type: String,
            default: null
        },
        dropup: {
            type: Boolean,
            default: false
        },
        disabled: {
            type: Boolean,
            default: false
        },
        right: {
            type: Boolean,
            default: false
        }
    },
    mounted: function mounted() {
        if (typeof document !== 'undefined') {
            document.documentElement.addEventListener('click', this.clickOut);
        }
    },
    destroyed: function destroyed() {
        if (typeof document !== 'undefined') {
            document.removeEventListener('click', this.clickOut);
        }
    },
    created: function created() {
        var this$1 = this;

        this.$root.$on('shown::dropdown', function (el) {
            if (el !== this$1) {
                this$1.clickOut();
            }
        });
    },
    methods: {
        toggle: function toggle() {
            this.setShow(!this.show);
        },
        setShow: function setShow(state) {
            if (this.show === state) {
                return; // Avoid duplicated emits
            }
            this.show = state;

            if (this.show) {
                this.$root.$emit('shown::dropdown', this);
            } else {
                this.$root.$emit('hidden::dropdown', this);
            }
        },
        clickOut: function clickOut() {
            this.setShow(false);
        },
        click: function click() {
            if (this.split) {
                this.$emit('click');
            } else {
                this.toggle();
            }
        }
    }
};

var dropdownSelect = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"dropdown-select",class:{open: _vm.show, dropdown: !_vm.dropup, dropup: _vm.dropup}},[_c('button',{class:['btn','dropdown',_vm.dropdownToggle,_vm.btnVariant,_vm.btnSize],attrs:{"id":_vm.id,"role":"button","aria-haspopup":"true","aria-expanded":"show","disabled":_vm.disabled},on:{"click":function($event){$event.preventDefault();_vm.toggle($event);}}},[_c('span',{staticClass:"checked-items",domProps:{"innerHTML":_vm._s(_vm.displayItem)}})]),_c('ul',{staticClass:"dropdown-menu",class:{'dropdown-menu-right' : _vm.position == 'right'},attrs:{"aria-labelledby":"dLabel"}},_vm._l((_vm.list),function(item){return _c('li',[_c('button',{staticClass:"dropdown-item",attrs:{"click":_vm.select(item)}},[_vm._v(_vm._s(item.text))])])}))])},staticRenderFns: [],
    replace: true,
    data: function data() {
        return {
            show: false,
            selected: false
        };
    },
    computed: {
        btnVariant: function btnVariant() {
            return !this.variant || this.variant === "default" ? "btn-secondary" : ("btn-" + (this.variant));
        },
        btnSize: function btnSize() {
            return !this.size || this.size === "default" ? "" : ("btn-" + (this.size));
        },
        dropdownToggle: function dropdownToggle() {
            return this.caret ? 'dropdown-toggle' : '';
        },
        displayItem: function displayItem() {
      // if zero show default message
            if ((this.returnObject && this.model && !this.model.text) || (!this.returnObject && this.model && this.model.length === 0) || this.forceDefault) {
                return this.defaultText;
            }

      // show selected item
            if (this.returnObject && this.model && this.model.text) {
                return this.model.text;
            }

      // show text that coresponds to the model value
            if (!this.returnObject && this.model) {
                var result = this.model || '';
                this.list.forEach(function (item) {
                    if (item.value === this.model) {
                        result = item.text;
                    }
                });
                return result;
            }

            return '';
        }
    },
    props: {
        id: {
            type: String
        },
        model: {
            required: false
        },
        list: {
            type: Array,
            default: [],
            required: true
        },
        caret: {
            type: Boolean,
            default: true
        },
        position: {
            type: String,
            default: 'left'
        },
        size: {
            type: String,
            default: ''
        },
        variant: {
            type: String,
            default: 'default'
        },
        defaultText: {
            type: String,
            default: 'Plase select one'
        },
        forceDefault: {
            type: Boolean,
            default: false
        },
        returnObject: {
            type: Boolean,
            default: false
        },
        dropup: {
            type: Boolean,
            default: false
        },
        disabled: {
            type: Boolean,
            default: false
        }
    },
    methods: {
        toggle: function toggle(e) {
      // hide an alert
            this.show = !this.show;
      // Dispatch an event from the current vm that propagates all the way up to its $root
            if (this.show) {
                this.$root.$emit('shown:dropdown', this.id);
                e.stopPropagation();
            } else {
                this.$root.$emit('hidden::dropdown', this.id);
            }
        },
        select: function select(item) {
      // we need to set empty model to make model watchers react to it
            if (this.returnObject) {
                this.model = item;
            } else {
                this.model = item.value;
            }
            this.show = false;
      // Dispatch an event from the current vm that propagates all the way up to its $root
            this.$root.$emit('selected::dropdown', this.id, this.model);
        }
    },
    created: function created() {
        var hub = this.$root;
        hub.$on('hide::dropdown', function () {
            this.show = false;
        });
    },
    mounted: function mounted() {

    }
};

var form = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('form',{class:_vm.classObject},[_vm._t("default")],2)},staticRenderFns: [],
    computed: {
        classObject: function classObject() {
            return [
                this.inline ? 'form-inline' : ''
            ];
        }
    },
    props: {
        inline: {
            type: Boolean,
            default: false
        }
    }
};

var formFieldset = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return (_vm.enabled)?_c('div',{class:['form-group','row',_vm.inputState]},[(_vm.label)?_c('label',{class:['col-form-label',_vm.labelLayout],attrs:{"for":_vm.for_id},domProps:{"innerHTML":_vm._s(_vm.label)}},[_c('div',{class:_vm.inputLayout},[_vm._t("default"),(_vm.feedback)?_c('div',{staticClass:"form-text text-muted",domProps:{"innerHTML":_vm._s(_vm.feedback)}}):_vm._e(),(_vm.description)?_c('small',{staticClass:"form-text text-muted",domProps:{"innerHTML":_vm._s(_vm.description)}}):_vm._e()],2)]):_vm._e()]):_c('div',[_vm._t("default")],2)},staticRenderFns: [],
    computed: {
        inputState: function inputState() {
            return this.state ? ("has-" + (this.state)) : '';
        },
        labelLayout: function labelLayout() {
            return this.horizontal ? ('col-sm-' + this.labelSize) : ('col-sm-' + (12 - this.labelSize));
        },
        inputLayout: function inputLayout() {
            return this.horizontal ? ('col-sm-' + (12 - this.labelSize)) : ('col-sm-' + this.labelSize);
        }
    },
    props: {
        for_id: {
            type: String,
            default: uniqueId
        },
        state: {
            type: String,
            default: null
        },
        horizontal: {
            type: Boolean,
            default: false
        },
        labelSize: {
            type: Number,
            default: 6
        },
        enabled: {
            type: Boolean,
            default: true
        },
        label: {
            type: String,
            default: null
        },
        description: {
            type: String,
            default: null
        },
        feedback: {
            type: String,
            default: null
        }
    }
};

var formCheckbox = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('label',{class:[_vm.custom?'custom-control':null,_vm.custom?'custom-checkbox':null,_vm.inline?'form-check-inline':null]},[_c('input',{class:[_vm.custom?'custom-control-input':null],attrs:{"type":"checkbox","id":_vm.id,"name":_vm.name,"disabled":_vm.disabled},domProps:{"value":_vm.value,"checked":_vm.checked===_vm.value},on:{"change":function($event){_vm.$emit('change',$event.target.checked?_vm.value:_vm.uncheckedValue);}}}),_vm._v(" "),(_vm.custom)?_c('span',{staticClass:"custom-control-indicator"}):_vm._e(),_vm._v(" "),_c('span',{class:[_vm.custom?'custom-control-description':null]},[_vm._t("default")],2)])},staticRenderFns: [],
    model: {
        prop: 'checked',
        event: 'change'
    },
    computed: {
        inputState: function inputState() {
            return this.state ? ("has-" + (this.state)) : '';
        }
    },
    props: {
        id: {
            type: String,
            default: null
        },
        name: {
            type: String,
            default: null
        },
        value: {
            default: true
        },
        uncheckedValue: {
            default: false
        },
        checked: {
            default: true
        },
        disabled: {
            type: Boolean,
            default: false
        },
        inline: {
            type: Boolean,
            default: true
        },
        custom: {
            type: Boolean,
            default: true
        }
    }
};

var formRadio = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('fieldset',{class:['form-group',this.stacked?'custom-controls-stacked':'',_vm.inputState]},_vm._l((_vm.items),function(item){return _c('label',{class:['custom-control','custom-radio']},[_c('input',{directives:[{name:"model",rawName:"v-model",value:(_vm.localValue),expression:"localValue"}],staticClass:"custom-control-input",attrs:{"type":"radio","id":item.id,"name":_vm.name,"disabled":item.disabled},domProps:{"value":item[_vm.valueKey],"checked":_vm._q(_vm.localValue,item[_vm.valueKey])},on:{"__c":function($event){_vm.localValue=item[_vm.valueKey];}}}),_vm._v(" "),_c('span',{staticClass:"custom-control-indicator"}),_vm._v(" "),_c('span',{staticClass:"custom-control-description"},[_vm._v(_vm._s(item[_vm.textKey]))])])}))},staticRenderFns: [],
    data: function data() {
        return {
            localValue: this.value
        };
    },
    computed: {
        inputState: function inputState() {
            return this.state ? ("has-" + (this.state)) : '';
        }
    },
    props: {
        value: {
            default: null
        },
        valueKey: {
            type: String,
            default: 'value'
        },
        textKey: {
            type: String,
            default: 'text'
        },
        name: {
            type: String,
            default: uniqueId
        },
        items: {
            type: Array,
            default: function () { return []; },
            required: true
        },
        stacked: {
            type: Boolean,
            default: false
        },
        state: {
            type: String,
            default: null
        },
        returnObject: {
            type: Boolean,
            default: false
        }
    },
    watch: {
        localValue: function localValue(value, old_value) {
            if (value === old_value) {
                return;
            }
            if (this.returnObject) {
                this.items.forEach(function (item) {
                    if (item.value === value) {
                        value = item;
                    }
                });
            }
            this.$emit('input', value);
        }
    }
};

var formInput = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return (!_vm.textarea)?_c('input',{ref:"input",class:['form-control',_vm.inputState,_vm.inputSize],attrs:{"type":_vm.type,"name":_vm.name,"id":_vm.$parent.for_id,"placeholder":_vm.placeholder},domProps:{"value":_vm.value},on:{"input":function($event){_vm.onInput($event.target.value);},"change":function($event){_vm.onChange($event.target.value);},"keyup":function($event){_vm.onKeyUp($event);}}}):_c('textarea',{ref:"input",class:['form-control',_vm.inputState,_vm.inputSize],attrs:{"type":_vm.type,"name":_vm.name,"id":_vm.$parent.for_id,"placeholder":_vm.placeholder,"rows":_vm.rows},domProps:{"value":_vm.value},on:{"input":function($event){_vm.onInput($event.target.value);},"change":function($event){_vm.onChange($event.target.value);},"keyup":function($event){_vm.onKeyUp($event);}}})},staticRenderFns: [],
    computed: {
        inputState: function inputState() {
            var state = this.state || this.$parent.state;
            return state ? ("form-control-" + state) : '';
        },
        inputSize: function inputSize() {
            return this.size ? ("form-control-" + (this.size)) : '';
        }
    },
    methods: {
        format: function format(value) {
            if (this.formatter) {
                var formattedValue = this.formatter(value);
                if (formattedValue !== value) {
                    value = formattedValue;
                    this.$refs.input.value = formattedValue;
                }
            }
            return value;
        },
        onInput: function onInput(value) {
            if (!this.lazyFormatter) {
                value = this.format(value);
            }
            this.$emit('input', value);
        },
        onChange: function onChange(value) {
            value = this.format(value);
            this.$emit('input', value);
            this.$emit('change', value);
        },
        onKeyUp: function onKeyUp(e) {
            this.$emit('keyup', e);
        }
    },
    props: {
        value: {
            type: [String, Number],
            default: null
        },
        type: {
            type: String,
            default: 'text'
        },

        name: {
            type: String,
            default: null
        },
        placeholder: {
            type: String,
            default: null
        },

        size: {
            type: String,
            default: null
        },

        rows: {
            type: Number,
            default: null
        },

        textarea: {
            type: Boolean,
            default: false
        },

        state: {
            type: String,
            default: null
        },
        formatter: {
            type: Function
        },
        lazyFormatter: {
            type: Boolean,
            default: false
        }
    }
};

var formSelect = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('select',{directives:[{name:"model",rawName:"v-model",value:(_vm.selected),expression:"selected"}],class:['form-control','custom-select',_vm.inputSize],attrs:{"options":_vm.allOptions,"disabled":_vm.disabled},on:{"change":function($event){var $$selectedVal = Array.prototype.filter.call($event.target.options,function(o){return o.selected}).map(function(o){var val = "_value" in o ? o._value : o.value;return val}); _vm.selected=$event.target.multiple ? $$selectedVal : $$selectedVal[0];}}},_vm._l((_vm.allOptions),function(option){return _c('option',{attrs:{"disabled":option.disabled},domProps:{"value":option.value,"innerHTML":_vm._s(option.text)}})}))},staticRenderFns: [],
    data: function data() {
        var selected = this.value;
        if (!selected) {
            selected = this.defaultOption ? this.defaultOption.value : null;
        }
        return {
            selected: selected
        };
    },
    mounted: function mounted() {
        if (this.selected) {
            this.change(this.selected);
        }
    },
    computed: {
        allOptions: function allOptions() {
            if (this.defaultOption) {
                return [].concat(this.defaultOption, this.options);
            }
            return this.options;
        },
        inputSize: function inputSize() {
            return this.size ? ("form-control-" + (this.size)) : null;
        }
    },
    props: {
        options: {
            type: Array,
            default: [],
            required: true
        },
        defaultOption: {
            default: null
        },
        value: {
            default: ''
        },
        size: {
            type: String,
            default: ''
        },
        disabled: {
            type: Boolean,
            default: false
        }
    },
    watch: {
        selected: function selected(new_val, old_val) {
            if (new_val !== old_val) {
                this.change(new_val);
            }
        }
    },
    methods: {
        change: function change(val) {
            this.$emit('input', val);
        }
    }
};

var jumbotron = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"jumbotron",class:{ 'jumbotron-fluid': _vm.fluid }},[_c('div',{staticClass:"container"},[_vm._t("default")],2)])},staticRenderFns: [],
    replace: true,
    computed: {},
    props: {
        fluid: {
            type: Boolean,
            default: false
        }
    }
};

var badge = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('span',{class:['badge',_vm.badgeVariant,_vm.badgePill]},[_vm._t("default")],2)},staticRenderFns: [],
    replace: true,
    computed: {
        badgeVariant: function badgeVariant() {
            return !this.variant || this.variant === "default" ? "badge-default" : ("badge-" + (this.variant));
        },
        badgePill: function badgePill() {
            return this.pill ? 'badge-pill' : '';
        }
    },
    props: {
        variant: {
            type: String,
            default: 'default'
        },
        pill: {
            type: Boolean,
            default: false
        }
    }
};

var listGroup = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('ul',{class:{'list-group': true, 'list-group-flush': _vm.flush}},[_vm._t("default")],2)},staticRenderFns: [],
    replace: true,
    props: {
        flush: {
            type: Boolean,
            default: false
        }
    }
};

var listGroupItem = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('li',{class:['list-group-item',_vm.listState,_vm.active ? 'active' : '',_vm.disabled ? 'disabled' : '']},[_vm._t("default")],2)},staticRenderFns: [],
    computed: {
        listState: function listState() {
            return !this.state || this.state === "default" ? "" : ("list-group-item-" + (this.state));
        }
    },
    replace: true,
    props: {
        active: {
            type: Boolean,
            default: false
        },
        disabled: {
            type: Boolean,
            default: false
        },
        state: {
            type: String,
            default: 'default'
        }
    }
};

var media = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"media"},[(_vm.mediaHorizontalAlign == 'media-left')?_c('div',{class:[_vm.mediaHorizontalAlign,_vm.mediaVerticalAlign]},[_vm._t("aside")],2):_vm._e(),_c('div',{staticClass:"media-body"},[_vm._t("body")],2),(_vm.mediaHorizontalAlign == 'media-right')?_c('div',{class:[_vm.mediaHorizontalAlign,_vm.mediaVerticalAlign]},[_vm._t("aside")],2):_vm._e()])},staticRenderFns: [],
    replace: true,
    computed: {
        align: function align() {
            return this.position.split(' ');
        },
        mediaVerticalAlign: function mediaVerticalAlign() {
            var verticalAlign = this.align[0];
            return ("media-" + verticalAlign);
        },
        mediaHorizontalAlign: function mediaHorizontalAlign() {
            var horizontalAlign = this.align[1];
            return ("media-" + horizontalAlign);
        }
    },
    props: {
        position: {
            type: String,
            default: 'top left'
        }
    }
};

var modal = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',[_c('transition-group',{attrs:{"enter-class":"hidden","enter-to-class":"show","enter-active-class":"","leave-class":"show","leave-active-class":"","leave-to-class":"hidden"},on:{"after-enter":_vm.afterEnter}},[_c('div',{directives:[{name:"show",rawName:"v-show",value:(_vm.visible),expression:"visible"}],key:"modal",class:['modal',{fade :_vm.fade}],attrs:{"id":_vm.id},on:{"click":function($event){_vm.onClickOut($event);}}},[_c('div',{class:['modal-dialog','modal-'+_vm.size]},[_c('div',{staticClass:"modal-content"},[(!_vm.hideHeader)?_c('div',{staticClass:"modal-header"},[_vm._t("modal-header",[_c('h5',{staticClass:"modal-title"},[_vm._t("modal-title",[_vm._v(_vm._s(_vm.title))])],2),_c('button',{staticClass:"close",attrs:{"type":"button","aria-label":"Close"},on:{"click":_vm.hide}},[_c('span',{attrs:{"aria-hidden":"true"}},[_vm._v("×")])])])],2):_vm._e(),_c('div',{staticClass:"modal-body"},[_vm._t("default")],2),(!_vm.hideFooter)?_c('div',{staticClass:"modal-footer"},[_vm._t("modal-footer",[_c('b-btn',{attrs:{"variant":"secondary"},on:{"click":_vm.$close}},[_vm._v(_vm._s(_vm.closeTitle))]),_c('b-btn',{attrs:{"variant":"primary"},on:{"click":_vm.$save}},[_vm._v(_vm._s(_vm.saveTitle))])])],2):_vm._e()])])]),(_vm.visible)?_c('div',{key:"modal-backdrop",class:['modal-backdrop',{fade: _vm.fade}]}):_vm._e()])],1)},staticRenderFns: [],
    data: function data() {
        return {
            visible: false
        };
    },
    computed: {
        body: function body() {
            if (typeof document !== 'undefined') {
                return document.querySelector('body');
            }
        }
    },
    props: {
        id: {
            type: String,
            default: null
        },
        title: {
            type: String,
            default: 'Save'
        },
        size: {
            type: String,
            default: 'md'
        },
        fade: {
            type: Boolean,
            default: true
        },
        closeTitle: {
            type: String,
            default: 'Close'
        },
        onClose: {
            type: Function,
            default: null
        },
        saveTitle: {
            type: String,
            default: 'OK'
        },
        onSave: {
            type: Function,
            default: null
        },
        closeOnBackdrop: {
            type: Boolean,
            default: true
        },
        hideHeader: {
            type: Boolean,
            default: false
        },
        hideFooter: {
            type: Boolean,
            default: false
        }
    },
    methods: {
        show: function show() {
            if (this.visible) {
                return;
            }
            this.visible = true;
            this.$root.$emit('shown::modal', this.id);
            this.body.classList.add('modal-open');
        },
        hide: function hide() {
            if (!this.visible) {
                return;
            }
            this.visible = false;
            this.$root.$emit('hidden::modal', this.id);
            this.body.classList.remove('modal-open');
        },
        $save: function $save() {
            if (this.onSave) {
                if (this.onSave() === false) {
                    // Cancel event
                    return;
                }
            }
            this.hide();
        },
        $close: function $close() {
            if (this.onClose) {
                this.onClose();
            }
            this.hide();
        },
        onClickOut: function onClickOut(e) {
            // If backdrop clicked, hide modal
            if (this.closeOnBackdrop && e.target.id && e.target.id === this.id) {
                this.hide();
            }
        },
        pressedButton: function pressedButton(e) {
            // If not visible don't do anything
            if (!this.visible) {
                return;
            }

            // Support for esc key press
            var key = e.which || e.keyCode;
            if (key === 27) { // 27 is esc
                this.hide();
            }
        },
        afterEnter: function afterEnter(el) {
            // add show class to keep el showed just after transition is ended, because transition removes all used classes
            el.classList.add('show');
        }
    },
    created: function created() {
        var this$1 = this;

        this.$root.$on('show::modal', function (id) {
            if (id === this$1.id) {
                this$1.show();
            }
        });

        this.$root.$on('hide::modal', function (id) {
            if (id === this$1.id) {
                this$1.hide();
            }
        });
    },
    mounted: function mounted() {
        if (typeof document !== 'undefined') {
            document.addEventListener('keydown', this.pressedButton);
        }
    },
    destroyed: function destroyed() {
        if (typeof document !== 'undefined') {
            document.removeEventListener('keydown', this.pressedButton);
        }
    }
};

var nav = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c(_vm.type,{tag:"component",class:_vm.classObject},[_vm._t("default")],2)},staticRenderFns: [],
    computed: {
        classObject: function classObject() {
            return {
                nav: true,
                'navbar-nav': this.isNavBar,
                'nav-tabs': this.tabs,
                'nav-pills': this.pills,
                'flex-column': this.vertical,
                'nav-fill': this.fill
            };
        }
    },
    props: {
        type: {
            type: String,
            default: 'ul'
        },
        fill: {
            type: Boolean,
            default: false
        },
        tabs: {
            type: Boolean,
            default: false
        },
        pills: {
            type: Boolean,
            default: false
        },
        vertical: {
            type: Boolean,
            default: false
        },
        isNavBar: {
            type: Boolean,
            default: false
        }
    }
};

var navItem = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('li',{staticClass:"nav-item"},[_c(_vm.componentType,{tag:"component",class:_vm.classObject,attrs:{"href":_vm.hrefString,"active-class":"active","to":_vm.to,"exact":_vm.exact,"target":_vm.target},on:{"click":_vm.onclick}},[_vm._t("default")],2)],1)},staticRenderFns: [],
    computed: {
        classObject: function classObject() {
            return [
                'nav-link',
                this.active ? 'active' : '',
                this.disabled ? 'disabled' : ''
            ];
        },
        componentType: function componentType() {
            return this.to ? 'router-link' : 'a';
        },
        hrefString: function hrefString() {
            return typeof this.to === 'object' ? this.href || undefined : this.href || this.to;
        }
    },
    props: {
        active: {
            type: Boolean,
            default: false
        },
        disabled: {
            type: Boolean,
            default: false
        },
        to: {
            type: [String, Object]
        },
        href: {
            type: String
        },
        exact: {
            type: Boolean,
            default: false
        },
        target: {
            type: String
        }
    },
    methods: {
        onclick: function onclick() {
            this.$emit('click', this.to);
        }
    }
};

var navItemDropdown = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('li',{class:{'nav-item': true, show: _vm.show,dropdown: !_vm.dropup, dropup: _vm.dropup}},[_c('a',{class:['nav-link', _vm.dropdownToggle],attrs:{"href":"","aria-haspopup":"true","aria-expanded":_vm.show,"disabled":_vm.disabled},on:{"click":function($event){$event.stopPropagation();$event.preventDefault();_vm.toggle($event);}}},[_vm._t("text",[_vm._v(_vm._s(_vm.text))])],2),_c('div',{class:{'dropdown-menu': true, 'dropdown-menu-right': _vm.rightAlignment}},[_vm._t("default")],2)])},staticRenderFns: [],
    data: function data() {
        return {
            show: false
        };
    },
    computed: {
        dropdownToggle: function dropdownToggle() {
            return this.caret ? 'dropdown-toggle' : '';
        }
    },
    props: {
        caret: {
            type: Boolean,
            default: true
        },
        text: {
            type: String,
            default: ''
        },
        dropup: {
            type: Boolean,
            default: false
        },
        rightAlignment: {
            type: Boolean,
            default: false
        },
        disabled: {
            type: Boolean,
            default: false
        },
        class: ['class']
    },
    created: function created() {
        var this$1 = this;

        this.$root.$on('shown::dropdown', function (el) {
            if (el !== this$1) {
                this$1.clickOut();
            }
        });
    },
    mounted: function mounted() {
        if (typeof document !== 'undefined') {
            document.documentElement.addEventListener('click', this.clickOut);
        }
    },
    destroyed: function destroyed() {
        if (typeof document !== 'undefined') {
            document.removeEventListener('click', this.clickOut);
        }
    },
    methods: {
        setShow: function setShow(state) {
            if (this.show === state) {
                return; // Avoid duplicated emits
            }
            this.show = state;

            if (this.show) {
                this.$root.$emit('shown::dropdown', this);
            } else {
                this.$root.$emit('hidden::dropdown', this);
            }
        },
        toggle: function toggle() {
            this.setShow(!this.show);
        },
        clickOut: function clickOut() {
            this.setShow(false);
        }
    }
};

var navToggle = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('button',{class:_vm.classObject,attrs:{"type":"button","aria-label":_vm.label},on:{"click":_vm.onclick}},[_c('span',{staticClass:"navbar-toggler-icon"})])},staticRenderFns: [],
    computed: {
        classObject: function classObject() {
            return [
                'navbar-toggler',
                'navbar-toggler-' + this.position
            ];
        }
    },

    props: {
        label: {
            type: String,
            default: 'Toggle navigation'
        },
        position: {
            type: String,
            default: 'right'
        },
        target: {
            required: true
        }
    },

    methods: {
        onclick: function onclick() {
            var target = this.target;
            if (target.toggle) {
                target.toggle();
            }
            this.$root.$emit('collapse::toggle', this.target);
        }
    }
};

var navbar = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('nav',{class:_vm.classObject},[_vm._t("default")],2)},staticRenderFns: [],
    replace: true,
    computed: {
        classObject: function classObject() {
            return [
                'navbar',
                this.type ? ("navbar-" + (this.type)) : '',
                this.variant ? ("bg-" + (this.variant)) : '',
                this.fixed ? ("navbar-fixed-" + (this.fixed)) : '',
                this.full ? 'navbar-full' : '',
                this.toggleable ? 'navbar-toggleable-md' : ''
            ];
        }
    },
    props: {
        type: {
            type: String,
            default: 'light'
        },
        variant: {
            type: String
        },
        toggleable: {
            type: Boolean,
            default: false
        },
        fixed: {
            type: String
        },
        full: {
            type: Boolean,
            default: false
        }
    }
};

var Pagination = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"btn-group pagination",attrs:{"role":"group","aria-label":"Pagination"}},[_c('button',{class:['btn','btn-'+_vm.secondaryVariant,_vm.btnSize],attrs:{"type":"button","disabled":_vm.currentPage == 1},on:{"click":function($event){$event.preventDefault();(_vm.currentPage == 1) ? _vm._return : _vm.currentPage--;}}},[_c('span',{attrs:{"aria-hidden":"true"}},[_vm._v("«")])]),_vm._v(" "),_c('button',{directives:[{name:"show",rawName:"v-show",value:(_vm.showPrev),expression:"showPrev"}],class:['btn','btn-'+_vm.secondaryVariant,_vm.btnSize,_vm.currentPage === 1 ? 'active' : ''],attrs:{"type":"button"},on:{"click":function($event){$event.preventDefault();_vm.currentPage = 1;}}},[_vm._v("1")]),_vm._v(" "),_c('span',{directives:[{name:"show",rawName:"v-show",value:(_vm.showPrev),expression:"showPrev"}],class:['btn','btn-'+_vm.secondaryVariant,_vm.btnSize]},[_vm._v("...")]),_vm._v(" "),_vm._l((_vm.pageLinks),function(item,index){return _c('button',{class:['btn', _vm.btnSize, _vm.btnVariant(index), index + _vm.diff === _vm.currentPage ? 'active' : '', index + _vm.diff !== _vm.currentPage ? 'hidden-xs-down' : ''],attrs:{"type":"button"},on:{"click":function($event){$event.preventDefault();_vm.currentPage = index + _vm.diff;}}},[_vm._v(_vm._s(index + _vm.diff))])}),_vm._v(" "),_c('span',{directives:[{name:"show",rawName:"v-show",value:(_vm.showNext),expression:"showNext"}],class:['btn','btn-'+_vm.secondaryVariant,_vm.btnSize]},[_vm._v("...")]),_vm._v(" "),_c('button',{directives:[{name:"show",rawName:"v-show",value:(_vm.showNext),expression:"showNext"}],class:['btn','btn-'+_vm.secondaryVariant,_vm.btnSize,_vm.numberOfPages === _vm.currentPage ? 'active' : ''],attrs:{"type":"button"},on:{"click":function($event){$event.preventDefault();_vm.currentPage = _vm.numberOfPages;}}},[_vm._v(_vm._s(_vm.numberOfPages))]),_vm._v(" "),_c('button',{class:['btn','btn-'+_vm.secondaryVariant,_vm.btnSize],attrs:{"type":"button","disabled":_vm.currentPage == _vm.numberOfPages},on:{"click":function($event){$event.preventDefault();(_vm.currentPage == _vm.numberOfPages) ? _vm._return : _vm.currentPage++;}}},[_c('span',{attrs:{"aria-hidden":"true"}},[_vm._v("»")])])],2)},staticRenderFns: [],
    data: function data() {
        return {
            diff: 1,
            showPrev: false,
            showNext: false,
            currentPage: this.value
        };
    },
    computed: {
        numberOfPages: function numberOfPages() {
            var result = Math.ceil(this.totalRows / this.perPage);
            return (result < 1) ? 1 : result;
        },
        btnSize: function btnSize() {
            return !this.size || this.size === "default" ? "" : ("btn-" + (this.size));
        },
        pageLinks: function pageLinks() {
            var result = this.limit;
            if (this.currentPage > this.numberOfPages) {
                this.currentPage = 1;
            }
            this.diff = 1;
            this.showPrev = false;
            this.showNext = false;
            // if less pages than limit just show this pages
            if (this.numberOfPages <= this.limit) {
                return this.numberOfPages;
            }
            // if at the beggining of the list or at the end show full number of pages within limit - 2
            // -2 is reserves space for two buttons: "..." and "first/last button"
            if (this.currentPage <= this.limit - 2) {
                this.diff = 1;
                this.showNext = true;
                result = this.limit - 2;
            }
            // at the end of the range
            if (this.currentPage > this.numberOfPages - this.limit + 2) {
                this.diff = this.numberOfPages - this.limit + 3;
                this.showPrev = true;
                result = this.limit - 2;
            }
            // if somehere in the middle show just limit - 4 links in the middle and one button on the left with "..." and on button on the right preceeded with "..."
            if (this.currentPage >= this.limit - 2 && this.currentPage <= this.numberOfPages - this.limit + 2) {
                this.diff = this.currentPage - 1;
                this.showPrev = true;
                this.showNext = true;
                result = this.limit - 4;
            }
            return result;
        }
    },
    methods: {
        btnVariant: function btnVariant(index) {
            return (index + this.diff === this.currentPage) ? ("btn-" + (this.variant)) : ("btn-" + (this.secondaryVariant));
        },
        _return: function _return() {

        }
    },
    watch: {
        currentPage: function currentPage(newPage) {
            this.$emit('input', newPage);
        },
        value: function value(newValue, oldValue) {
            if (newValue !== oldValue) {
                this.currentPage = newValue;
            }
        }
    },
    props: {
        value: {
            type: Number,
            default: 1
        },
        limit: {
            type: Number,
            default: 7
        },
        perPage: {
            type: Number,
            default: 20
        },
        totalRows: {
            type: Number,
            default: 20
        },
        size: {
            type: String,
            default: 'md'
        },
        variant: {
            type: String,
            default: 'primary'
        },
        secondaryVariant: {
            type: String,
            default: 'secondary'
        }
    }
};

// Controls which events are mapped for each named trigger, and the expected popover behavior for each.
var triggerListeners = {
    click: {click: 'toggle'},
    hover: {mouseenter: 'show', mouseleave: 'hide'},
    focus: {focus: 'show', blur: 'hide'}
};

var popover = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',[_c('span',{ref:"trigger"},[_vm._t("default")],2),_c('div',{ref:"popover",class:['popover',_vm.popoverAlignment],attrs:{"tabindex":"-1"},on:{"focus":function($event){_vm.$emit('focus');},"blur":function($event){_vm.$emit('blur');}}},[_c('div',{staticClass:"popover-arrow"}),(_vm.title)?_c('h3',{staticClass:"popover-title",domProps:{"innerHTML":_vm._s(_vm.title)}}):_vm._e(),_c('div',{staticClass:"popover-content"},[_c('div',{staticClass:"popover-content-wrapper"},[_vm._t("content",[_c('span',{domProps:{"innerHTML":_vm._s(_vm.content)}})])],2)])])])},staticRenderFns: [],
    props: {
        placement: {
            type: String,
            default: 'top',
            validator: function validator(value) {
                return ['top', 'bottom', 'left', 'right'].indexOf(value) !== -1;
            }
        },
        triggers: {
            type: [Boolean, String, Array],
            default: ['click', 'focus'],
            validator: function validator(value) {
                // Allow falsy value to disable all event triggers (equivalent to 'manual') in Bootstrap 4
                if (value === false || value === '') {
                    return true;
                } else if (typeof value === 'string') {
                    return Object.keys(triggerListeners).indexOf(value) !== -1;
                } else if (Array.isArray(value)) {
                    var keys = Object.keys(triggerListeners);
                    value.forEach(function (item) {
                        if (keys.indexOf(item) === -1) {
                            return false;
                        }
                    });
                    return true;
                }
                return false;
            }
        },
        title: {
            type: String,
            default: ''
        },
        content: {
            type: String,
            default: ''
        },
        show: {
            type: Boolean,
            default: false
        },
        constraints: {
            type: Array,
            default: function default$1() {
                return [];
            }
        },
        offset: {
            type: String,
            default: '0 0',
            validator: function validator(value) {
                return /^(\d+\s\d+)$/.test(value);
            }
        },
        delay: {
            type: [Number, Object],
            default: 0,
            validator: function validator(value) {
                if (typeof value === 'number') {
                    return value >= 0;
                } else if (value !== null && typeof value === 'object') {
                    return typeof value.show === 'number' &&
                        typeof value.hide === 'number' &&
                        value.show >= 0 &&
                        value.hide >= 0;
                }

                return false;
            }
        },
        debounce: {
            type: [Number],
            default: 500,
            validator: function validator(value) {
                return value >= 0;
            }
        },
        type: {
            type: String,
            default: 'popover'
        }
    },

    data: function data() {
        return {
            showState: this.show,
            lastEvent: null
        };
    },

    computed: {
        popoverAlignment: function popoverAlignment() {
            return !this.placement || this.placement === "default" ? "popover-top" : ("popover-" + (this.placement));
        },

        normalizedTriggers: function normalizedTriggers() {
            if (this.triggers === false) {
                return [];
            } else if (typeof this.triggers === 'string') {
                return [this.triggers];
            }
            return this.triggers;
        },

        placementParameters: function placementParameters() {
            switch (this.placement) {
                case 'bottom':
                    return {
                        attachment: 'top center',
                        targetAttachment: 'bottom center'
                    };
                case 'left':
                    return {
                        attachment: 'middle right',
                        targetAttachment: 'middle left'
                    };
                case 'right':
                    return {
                        attachment: 'middle left',
                        targetAttachment: 'middle right'
                    };
                default:
                    return {
                        attachment: 'bottom center',
                        targetAttachment: 'top center'
                    };
            }
        },

        useDebounce: function useDebounce() {
            return this.normalizedTriggers.length > 1;
        }
    },

    watch: {
        /**
         * Propogate 'show' property change
         * @param  {Boolean} newShow
         */
        show: function show(newShow) {
            this.showState = newShow;
        },

        /**
         * Affect 'show' state in response to status change
         * @param  {Boolean} newShowState
         */
        showState: function showState(newShowState) {
            var this$1 = this;

            clearTimeout(this._timeout);

            this._timeout = setTimeout(function () {
                this$1.$emit('showChange', newShowState);
                if (newShowState) {
                    this$1.showPopover();
                } else {
                    this$1.hidePopover();
                }
            }, this.getDelay(newShowState));
        },

        normalizedTriggers: function normalizedTriggers(newTriggers, oldTriggers) {
            this.updateListeners(newTriggers, oldTriggers);
        }
    },

    methods: {
        /**
         * Display popover and fire event
         */
        showPopover: function showPopover() {
            // let tether do the magic, after element is shown
            this._popover.style.display = 'block';
            this._tether = new Tether({
                element: this._popover,
                target: this._trigger,
                offset: this.offset,
                constraints: this.constraints,
                attachment: this.placementParameters.attachment,
                targetAttachment: this.placementParameters.targetAttachment
            });

            // Make sure the popup is rendered in the correct location
            this._tether.position();

            this.$root.$emit('shown::popover');
        },

        /**
         * Hide popover and fire event
         */
        hidePopover: function hidePopover() {
            if (this._tether) {
                this._popover.style.display = 'none';
                this._tether.destroy();
                this.$root.$emit('hidden::popover');
            }
        },

        /**
         * Get the currently applicable popover delay
         * @returns Number
         */
        getDelay: function getDelay(state) {
            if (typeof this.delay === 'object') {
                return state ? this.delay.show : this.delay.hide;
            }

            return this.delay;
        },

        toggleShowState: function toggleShowState() {
            var this$1 = this;

            var newState = !this.showState;
            clearTimeout(this._timeout);

            if (this.currentDelay === 0) {
                this.showState = newState;
                return;
            }

            this._timeout = setTimeout(function () {
                this$1.showState = newState;
            }, this.currentDelay);
        },

        /**
         * Handle multiple event triggers
         * @param  {Object} e
         */
        eventHandler: function eventHandler(e) {
            var this$1 = this;

            // If this event is right after a previous successful event, ignore it
            if (this.useDebounce && this.debounce > 0 && this.lastEvent !== null && e.timeStamp <= this.lastEvent + this.debounce) {
                return;
            }

            // Look up the expected popover action for the event
            // eslint-disable-next-line guard-for-in
            for (var trigger in triggerListeners) {
                for (var event in triggerListeners[trigger]) {
                    if (event === e.type) {
                        var action = triggerListeners[trigger][event];

                        // If the expected event action is the opposite of the current state, allow it
                        if (action === 'toggle' || (this$1.showState && action === 'hide') || (!this$1.showState && action === 'show')) {
                            this$1.showState = !this$1.showState;
                            this$1.lastEvent = e.timeStamp;
                        }
                        return;
                    }
                }
            }
        },

        /**
         * Study the 'triggers' component property and apply all selected triggers
         * @param {Array} triggers
         * @param {Array} appliedTriggers
         */
        updateListeners: function updateListeners(triggers, appliedTriggers) {
            var this$1 = this;
            if ( appliedTriggers === void 0 ) appliedTriggers = [];

            var newTriggers = [];
            var removeTriggers = [];

            // Look for new events not yet mapped (all of them on first load)
            triggers.forEach(function (item) {
                if (appliedTriggers.indexOf(item) === -1) {
                    newTriggers.push(item);
                }
            });

            // Disable any removed event triggers
            appliedTriggers.forEach(function (item) {
                if (triggers.indexOf(item) === -1) {
                    removeTriggers.push(item);
                }
            });

            // Apply trigger mapping changes
            newTriggers.forEach(function (item) { return this$1.addListener(item); });
            removeTriggers.forEach(function (item) { return this$1.removeListener(item); });
        },

        /**
         * Add all event hooks for the given trigger
         * @param {String} trigger
         */
        addListener: function addListener(trigger) {
            var this$1 = this;

            // eslint-disable-next-line guard-for-in
            for (var item in triggerListeners[trigger]) {
                this$1._trigger.addEventListener(item, function (e) { return this$1.eventHandler(e); });
            }
        },

        /**
         * Remove all event hooks for the given trigger
         * @param {String} trigger
         */
        removeListener: function removeListener(trigger) {
            var this$1 = this;

            // eslint-disable-next-line guard-for-in
            for (var item in triggerListeners[trigger]) {
                this$1._trigger.removeEventListener(item, function (e) { return this$1.eventHandler(e); });
            }
        },

        /**
         * Remove all event listeners
         */
        removeAllListeners: function removeAllListeners() {
            var this$1 = this;

            // eslint-disable-next-line guard-for-in
            for (var trigger in this$1.normalizedTriggers) {
                this$1.removeListener(trigger);
            }
        }
    },

    created: function created() {
        var this$1 = this;

        var hub = this.$root;
        hub.$on('hide::popover', function () {
            this$1.showState = false;
        });
    },

    mounted: function mounted() {
        // configure tether
        this._trigger = this.$refs.trigger.children[0];
        this._popover = this.$refs.popover;
        this._popover.style.display = 'none';
        this._timeout = 0;

        // add listeners for specified triggers and complementary click event
        this.updateListeners(this.normalizedTriggers);

        // display popover if prop is set on load
        if (this.showState) {
            this.showPopover();
        }
    },

    beforeDestroy: function beforeDestroy() {
        // clean up listeners
        this.hidePopover();
        this.removeAllListeners();
        clearTimeout(this._timeout);
        this._timeout = null;
    }
};

var progress = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"progress"},[_c('transition',[_c('div',{class:_vm.classObject,style:(_vm.styleObject),attrs:{"role":"progressbar","aria-valuenow":_vm.value,"aria-valuemin":0,"aria-valuemax":_vm.max}},[_vm._t("default",[(_vm.showProgress)?[_vm._v(_vm._s(_vm.progress)+"%")]:(_vm.showValue)?[_vm._v(_vm._s(_vm.value))]:_vm._e()])],2)])],1)},staticRenderFns: [],
    computed: {
        classObject: function classObject() {
            return [
                'progress-bar',
                this.progressVariant,
                (this.striped || this.animated) ? 'progress-bar-striped' : '',
                this.animated ? 'progress-bar-animated' : ''
            ];
        },
        styleObject: function styleObject() {
            return {
                width: this.progress + '%'
            };
        },
        progressVariant: function progressVariant() {
            return this.variant ? ("bg-" + (this.variant)) : null;
        },
        progress: function progress() {
            var p = Math.pow(10, this.precision);
            return Math.round((100 * p * this.value) / this.max) / p;
        }
    },
    props: {
        striped: {
            type: Boolean,
            default: false
        },
        animated: {
            type: Boolean,
            default: false
        },
        precision: {
            type: Number,
            default: 0
        },
        value: {
            type: Number,
            default: 0
        },
        max: {
            type: Number,
            default: 100
        },
        variant: {
            type: String,
            default: null
        },
        showProgress: {
            type: Boolean,
            default: false
        },
        showValue: {
            type: Boolean,
            default: false
        }
    }
};

var table = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('table',{class:['table',_vm.striped?'table-striped':'',_vm.hover?'table-hover':'']},[_c('thead',[_c('tr',_vm._l((_vm.fields),function(field,key){return _c('th',{class:[field.sortable?'sorting':null,_vm.sort===key?'sorting_'+(_vm.sortDesc?'desc':'asc'):'',field.class?field.class:null],on:{"click":function($event){_vm.headClick(field,key);}}},[_vm._v(_vm._s(field.label))])}))]),_c('tbody',_vm._l((_vm._items),function(item,index){return _c('tr',{key:_vm.items_key,class:[item.state?'table-'+item.state:null]},_vm._l((_vm.fields),function(field,key){return _c('td',{class:[field.class?field.class:null]},[_vm._t(key,[_vm._v(_vm._s(item[key]))],{value:item[key],item:item,index:index})],2)}))}))])},staticRenderFns: [],
    components: {bPagination: Pagination},

    data: function data() {
        return {
            sort: null,
            sortDesc: true
        };
    },

    props: {
        sortable: {
            type: Boolean,
            default: false
        },
        items: {
            type: Array,
            default: function () { return []; }
        },
        fields: {
            type: Object,
            default: function () {
            }
        },
        striped: {
            type: Boolean,
            default: false
        },
        hover: {
            type: Boolean,
            default: false
        },
        perPage: {
            type: Number,
            default: null
        },
        items_key: {
            type: String,
            default: null
        },
        currentPage: {
            type: Number,
            default: 1
        },
        filter: {
            type: String,
            default: null
        }
    },

    computed: {
        _items: function _items() {
            var this$1 = this;

            if (!this.items) {
                return [];
            }

            var items = this.items;

            //
            var fix = function (v) {
                if (v instanceof Object) {
                    return Object.keys(v).map(function (k) { return fix(v[k]); }).join(' ');
                }
                return String(v);
            };

            // Apply filter
            if (this.filter && this.filter.length > 0) {
                var regex = new RegExp('.*' + this.filter + '.*', 'ig');
                items = items.filter(function (item) { return regex.test(fix(item)); });
            }

            // Apply Sort
            if (this.sort) {
                items = items.sort(function (a, b) {
                    var r = fix(a[this$1.sort]).localeCompare(fix(b[this$1.sort]));
                    return this$1.sortDesc ? r : r * -1;
                });
            }

            // Apply pagination
            if (this.perPage) {
                items = items.slice((this.currentPage - 1) * this.perPage, this.currentPage * this.perPage);
            }

            return items;
        }
    },

    methods: {
        headClick: function headClick(field, key) {
            if (!field.sortable) {
                return;
            }

            if (key === this.sort) {
                this.sortDesc = !this.sortDesc;
            }
            this.sort = key;
        }
    }

};

// this is directly linked to the bootstrap animation timing in _tabs.scss
// for browsers that do not support transitions like IE9 just change slide immediately
var TRANSITION_DURATION$2 = csstransitions() ? 150 : 0;

// export component object
var tabs = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"tabs"},[_c('ul',{class:['nav','nav-' + _vm.navStyle]},_vm._l((_vm.items),function(item,index){return _c('li',{staticClass:"nav-item",on:{"click":function($event){_vm.setActive(index);}}},[_c('a',{class:['nav-link',_vm.small ? 'small' : '',item.active ? 'active' : '',item.disabled ? 'disabled' : ''],attrs:{"href":"#"},on:{"click":function($event){$event.preventDefault();}}},[_vm._v(_vm._s(item.title))])])})),_c('div',{staticClass:"tab-content"},[_vm._t("default")],2)])},staticRenderFns: [],
    replace: true,
    data: function data() {
        var currentTab = this.value || 0;
        return {
            currentTab: currentTab,
            items: []
        };
    },
    props: {
        fade: {
            type: Boolean,
            default: true
        },
        small: {
            type: Boolean,
            default: false
        },
        value: {
            type: Number,
            default: 0
        },
        navStyle: {
            type: String,
            default: 'tabs'
        }
    },
    watch: {
        currentTab: function currentTab(val) {
            this.$emit('input', val);
        },
        value: function value(val) {
            this.setActive(val);
        }
    },
    methods: {

        /**
         * get an index of an active tab
         * @return {Number}
         */
        getActive: function getActive() {
            var active = -1;
            this.items.forEach(function (item, index) {
                if (item.active) {
                    active = index;
                }
            });
            return active;
        },

        /**
         * set active tab on the items collection and the child 'tab' component
         */
        setActive: function setActive(index) {
            var this$1 = this;

            // ignore disabled
            if (this.items[index].disabled) {
                return;
            }

            // deactivate previous active tab
            var activeTab = this.getActive();
            if (activeTab !== -1) {
                // setting animate to false will trigger fade out effect
                this.items[activeTab].active = false;
                this.$set(this.$children[activeTab], 'animate', false);
                this.$set(this.$children[activeTab], 'active', false);
            }

            // set new active tab and animate (if fade flag is set to true)
            this.$set(this.$children[index], 'active', true);
            this._tabAnimation = setTimeout(function () {
                // setting animate to true will trigger fade in effect
                this$1.items[index].active = true;
                this$1.$set(this$1.$children[index], 'animate', true);
                this$1.$root.$emit('changed::tab', this$1.items[index].id);
            }, this.fade ? TRANSITION_DURATION$2 : 0);

            // store currentActive
            this.currentTab = index;
        }
    },
    mounted: function mounted() {
        // if no active tab, set the first one by default
        if (this.getActive() === -1) {
            this.setActive(this.currentTab);
        }
    },
    destroyed: function destroyed() {
        clearTimeout(this._tabAnimation);
    }
};

var tab = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"tab-pane",class:{active: _vm.active, disabled: _vm.disabled, fade: _vm.fade, in: _vm.animate, show: _vm.active},attrs:{"role":"tabpanel"}},[_vm._t("default")],2)},staticRenderFns: [],
    replace: true,
    data: function data() {
        return {
            fade: this.$parent.fade,
            animate: false,
            active: false
        };
    },
    props: {
        id: {
            type: String,
            default: ''
        },
        title: {
            type: String,
            default: ''
        },
        disabled: {
            type: Boolean,
            default: false
        }
    },
    mounted: function mounted() {
        var items = this.$parent.items;
        items.push({id: this.id, title: this.title, active: this.active, disabled: this.disabled});
    }
};

var tooltip = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',[_c('div',{class:_vm.classObject,staticStyle:{"opacity":"1"},attrs:{"role":"tooltip"}},[_c('div',{staticClass:"tooltip-inner"},[_vm._t("text",[_vm._v(_vm._s(_vm.text))])],2)]),_vm._t("default")],2)},staticRenderFns: [],
    props: {
        placement: {
            type: String,
            default: 'top'
        },
        text: {
            type: String,
            default: null
        }
    },
    computed: {
        classObject: function classObject() {
            return [
                'tooltip',
                'tooltip-' + this.placement
            ];
        }
    }
};



var components = Object.freeze({
	bAlert: alert,
	bBreadcrumb: breadcrumb,
	bButtonCheckbox: buttonCheckbox,
	bButtonGroup: buttonGroup,
	bButtonRadio: buttonRadio,
	bButton: bButton,
	bBtn: bButton,
	bCard: card,
	bDropdown: dropdown,
	bDropdownSelect: dropdownSelect,
	bForm: form,
	bFormCheckbox: formCheckbox,
	bFormFieldset: formFieldset,
	bFormRadio: formRadio,
	bFormInput: formInput,
	bFormSelect: formSelect,
	bJumbotron: jumbotron,
	bBadge: badge,
	bMedia: media,
	bModal: modal,
	bNavbar: navbar,
	bPagination: Pagination,
	bPopover: popover,
	bProgress: progress,
	bTable: table,
	bTooltip: tooltip,
	bTab: tab,
	bTabs: tabs,
	bNav: nav,
	bNavItem: navItem,
	bNavItemDropdown: navItemDropdown,
	bNavToggle: navToggle,
	bListGroupItem: listGroupItem,
	bListGroup: listGroup,
	bSlide: carouselSlide,
	bCarousel: carousel,
	bCollapse: collapse
});

/* eslint-disable no-var, no-undef, guard-for-in, object-shorthand */

var VuePlugin = {
    install: function (Vue) {
        if (VuePlugin.installed) {
            return;
        }
        VuePlugin.installed = true;

        for (var key in components) {
            Vue.component(key, components[key]);
        }
    }
};

if (typeof window !== 'undefined' && window.Vue) {
    window.Vue.use(VuePlugin);
}

module.exports = VuePlugin;
//# sourceMappingURL=bootstrap-vue.common.js.map
